Subject: Re: bug#72811: 28.2; global-display-line-numbers-mode with debbugs package cause Lisp nesting exceeds ‘max-lisp-eval-depth’

From: Mats Lidell <[email-masked]>
Date: Thu, 29 Aug 2024 22:12:16 +0200

> Eli Zaretskii writes:
> I guess we already fixed this, so we could close this bug.  Still...

Yes. But I was curious since I could not find any commit in Emacs that looked
related to fixing this.

> ...can you figure out which Lisp caused display-line-numbers-mode or
> display-line-numbers-mode-on-hook to run tabulated-list-revert?  I
> couldn't find that anywhere in Emacs, and also not in debbugs.  I do
> see that debbugs-gnu adds to tabulated-list-revert-hook the function
> debbugs-gnu-rescan, which then changes the major mode, which causes
> display-line-numbers-mode to be turned on again, so what happens after
> that is clear: infinite recursion.  But I cannot understand why was
> tabulated-list-revert called in the first place.

I could not either so I filed the bug report. ;-) And hoped someone could
figure it out. \o/

%% Mats